<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"   "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<TITLE>DS Multiple Object Edit Input Form</TITLE>

<!-- 
	University of Illinois/NCSA Open Source License for dsmobjedit.php.

Copyright (c) 2008 Jim Champ/Surrey County Council 
All rights reserved.
Developed by: 		Jim Champ
                    www.devboats.co.uk/idmphp/
Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal with the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimers. 

Redistributions in binary form must reproduce the above
copyright notice, this list of conditions and the following disclaimers
in the documentation and/or other materials provided with the
distribution. 

Neither the names of Surrey County Council nor the names of its contributors may be used to endorse
or promote products derived from this Software without specific prior
written permission. 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR
ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE. 
*/
-->

</HEAD>
<BODY>

<H1>DS Multiple Object Edit Utility</H1>
<h2>Object Editing</h2>
<p>This app searches for all objects with the same CN under a given OU,
and changes the listed attribute to the listed value on all of them. If
the attrbute is multi valued only one will be changed, somewhat at
random, and the rest left unchanged, so be careful! There is
considerable potential for causing serious problems with this
application.</p>
<center>
<FORM METHOD="POST" ACTION="dsmobjrun.php"
	ENCTYPE="x-www-form-urlencoded">

<TABLE class="main" CELLPADDING="2" CELLSPACING="2">
	<TR>
		<TD class="maintdpos">LDAP Admin User ID:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_id" SIZE="60"
			MAXLENGTH="120" VALUE=""></TD>
	</TR>
	<TR>
		<TD class="maintdpos">LDAP Password:</TD>
		<TD class="maintdpos"><INPUT TYPE="password" NAME="ldap_pw" SIZE="60"
			MAXLENGTH="40"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">LDAP Server:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_server" VALUE=""
			SIZE="60" MAXLENGTH="80"></TD>
	</TR>
	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>
	<TR>
		<TD class="maintdpos">OU to Change beneath:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="working_ou" SIZE="60"
			MAXLENGTH="80"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">CN Name to Find/Change:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="cn_to_change" SIZE="60"
			MAXLENGTH="100"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">Attribute to Change:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="attr_to_change"
			SIZE="60" MAXLENGTH="100"></TD>
	</TR>
	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>
	<TR>
		<TD class="maintdpos">New Attribute value:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="new_attr_value"
			SIZE="60" MAXLENGTH="100"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">Append Object Context to String?</TD>
		<TD class="maintdpos">Yes<INPUT TYPE="RADIO" NAME="append_context"
			VALUE="yes">&nbsp; &nbsp; &nbsp; &nbsp; No<INPUT TYPE="RADIO"
			CHECKED="Checked" NAME="append_context" VALUE="no"></TD>
	</TR>
	<tr>
	<TD colspan="2">There are circumstances in which you will need the
	object context in the<br>
	attribute value - for instance when working with chained applications.
	</TD>
	</TR>
	<tr>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>
	<TR>
		<TD class="maintdpos">Suffix to New Attribute value:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="new_attr_value_suffix"
			SIZE="60" MAXLENGTH="100"></TD>
	</TR>
	<TR>
		<TD colspan="2">The suffix is only used if you are appending the
		context and need <br>
		a further string after the context. Chained applications will require
		this.</TD>
	</TR>

	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>

	<TR>
		<TD class="maintdpos"><INPUT TYPE="submit" VALUE="Post Details"></TD>
		<TD class="maintdpos"><INPUT TYPE="reset" VALUE="Clear Form"></TD>
	</TR>
</TABLE>
</FORM>

<hr>

<FORM METHOD="POST" ACTION="dsmobjlist.php"
	ENCTYPE="x-www-form-urlencoded">
<H2>Object Listing</H2>
<p>This form lists all attributes of the first matching object found.
This is useful for getting attribute names and values from a reference
object</p>

<TABLE class="main" CELLPADDING="2" CELLSPACING="2">
	<TR>
		<TD class="maintdpos">LDAP Admin User ID:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_id" SIZE="60"
			MAXLENGTH="120"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">LDAP Password:</TD>
		<TD class="maintdpos"><INPUT TYPE="password" NAME="ldap_pw" SIZE="60"
			MAXLENGTH="60"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">LDAP Server:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_server"
			VALUE="sccnthfa5.surreycc.gov.uk" SIZE="60" MAXLENGTH="60"></TD>
	</TR>
	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>
	<TR>
		<TD class="maintdpos">OU to Search beneath:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="working_ou" SIZE="60"
			MAXLENGTH="120"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">CN Name to Find/List:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="cn_to_change" SIZE="60"
			MAXLENGTH="120"></TD>
	</TR>
	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>

	<TR>
		<TD class="maintdpos"><INPUT TYPE="submit" VALUE="Post Details"></TD>
		<TD class="maintdpos"><INPUT TYPE="reset" VALUE="Clear Form"></TD>
	</TR>
</TABLE>
</FORM>
</center>

<H3>Notes and Help</h3>
<p>LDAP Admin user id must be in typeful LDAP format ie 
<CODE>cn=adminuser,o=organisation</CODE>.
The delimiters must be commas and not full stops.</p>
<p>LDAP server. It would be best to pick a server that holds replicas
containing the objects that you wish to edit.</p>
<p>Working OU/Context must also be in typeful LDAP format, so 
<CODE>ou=dept,ou=building,ou=town,o=organisation</CODE>.</p>
<p>You may use dsmobjedit to change most NDS attributes that are
editable by LDAP. The main restriction is if data is encoded. For
instance you can enable boolean values by using true and false. <br />
Make sure you use the LDAP name of the attribute, which may well be
different from the NDS value. The Object listing facility is useful for
this, but you may also find that an LDAP browser like the softterra one
will help you ensure that that your proposed changes will work.</p>

</BODY>
</HTML>

